org.apache.tinkerpop.gremlin.process.traversal.step

## Interface ByModulating

- All Known Implementing Classes:
    AggregateStep, DedupGlobalStep, GroupCountSideEffectStep, GroupCountStep, GroupSideEffectStep, GroupSideEffectStepV3d0, GroupStep, GroupStepV3d0, OrderGlobalStep, OrderLocalStep, PageRankVertexProgramStep, PathFilterStep, PathStep, PeerPressureVertexProgramStep, ProjectStep, SackValueStep, SampleGlobalStep, SelectOneStep, SelectStep, StoreStep, TreeSideEffectStep, TreeStep, WherePredicateStep

      public interface ByModulating

  A `ByModulating` step is able to take `GraphTraversal.by()` calls. All the methods have default implementations excecpt `modulateBy(Traversal.Admin)`. In short, given a traversal, what should the ByModulating step do with it.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `modulateBy()`
    `default void` | `modulateBy(Column column, Comparator comparator)`
    `default void` | `modulateBy(Comparator comparator)`
    `default void` | `modulateBy(Function function)`
    `default void` | `modulateBy(Function function, Comparator comparator)`
    `default void` | `modulateBy(Order order)`
    `default void` | `modulateBy(String string)`
    `default void` | `modulateBy(String key, Comparator comparator)`
    `default void` | `modulateBy(T token)`
    `default void` | `modulateBy(T t, Comparator comparator)`
    `default void` | `modulateBy(Traversal.Admin<?,?> traversal)`
    `default void` | `modulateBy(Traversal.Admin<?,?> traversal, Comparator comparator)`

- - ### Method Detail

    - #### modulateBy

          default void modulateBy(Traversal.Admin<?,?> traversal)
                           throws UnsupportedOperationException

      Throws:
        `UnsupportedOperationException`

    - #### modulateBy

          default void modulateBy(String string)
                           throws UnsupportedOperationException

      Throws:
        `UnsupportedOperationException`

    - #### modulateBy

          default void modulateBy(T token)
                           throws UnsupportedOperationException

      Throws:
        `UnsupportedOperationException`

    - #### modulateBy

          default void modulateBy(Function function)
                           throws UnsupportedOperationException

      Throws:
        `UnsupportedOperationException`

    - #### modulateBy

          default void modulateBy()
                           throws UnsupportedOperationException

      Throws:
        `UnsupportedOperationException`

    - #### modulateBy

          default void modulateBy(Traversal.Admin<?,?> traversal,
                                  Comparator comparator)

    - #### modulateBy

          default void modulateBy(String key,
                                  Comparator comparator)

    - #### modulateBy

          default void modulateBy(Comparator comparator)

    - #### modulateBy

          default void modulateBy(Order order)

    - #### modulateBy

          default void modulateBy(T t,
                                  Comparator comparator)

    - #### modulateBy

          default void modulateBy(Column column,
                                  Comparator comparator)

    - #### modulateBy

          default void modulateBy(Function function,
                                  Comparator comparator)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.